Loading...
Searching...
No Matches
mdds::packed_trie_map< KeyT, ValueT, TraitsT >::entry Struct Reference

`#include <trie_map.hpp>`

## Public Member Functions

| entry (const key_unit_type *_key, size_type _keylen, value_type _value)

## Public Attributes

const key_unit_type * | key
size_type | keylen
value_type | value

## Detailed Description

template<typename KeyT, typename ValueT, typename TraitsT = trie::default_traits>
struct mdds::packed_trie_map< KeyT, ValueT, TraitsT >::entry

Single key-value entry. Caller must provide at compile time a static array of these entries.